Jump to content

MediaWiki:Common.css

From Flerf Wiki
Revision as of 13:13, 4 May 2026 by ICSpin (talk | contribs) (Switch from CSS blur to true pixelation via downscale + pixelated image-rendering)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* NSFW spoiler - pixelated until mouse moves over image */
.spoiler-img {
    display: table;
    overflow: hidden;
}
.spoiler-img img {
    filter: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'><filter id='pixelate' x='0' y='0'><feFlood x='4' y='4' height='2' width='2'/><feComposite width='10' height='10'/><feTile result='a'/><feComposite in='SourceGraphic' in2='a' operator='in'/><feMorphology operator='dilate' radius='5'/></filter></svg>#pixelate");
    transition: filter 0.3s;
    cursor: pointer;
}
.spoiler-img.revealed img {
    filter: none;
}